< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package objectstore
  Definition Classes
    hmrc
-  package client
  Definition Classes
    objectstore
-  package play
  Definition Classes
    client
-  package test
  Definition Classes
    play
-  object stub
  Definition Classes
    test
- StubObjectStoreClient
- StubPlayObjectStoreClient
- StubPlayObjectStoreClientEither

t

uk.gov.hmrc.objectstore.client.play.test.stub

# StubObjectStoreClient 

###

#### trait StubObjectStoreClient[F[_]] extends AnyRef

Self Type
  StubObjectStoreClient[F] with ObjectStoreClient[F, Request, Response, ResBody]

Linear Supertypes
AnyRef, Any
Known Subclasses
StubPlayObjectStoreClient, StubPlayObjectStoreClientEither
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. StubObjectStoreClient
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  type Directory = String
2.  type Filename = String

### Abstract Value Members

1.  abstract def M: Monad[F]
   Attributes
     protected
2.  abstract def config: ObjectStoreClientConfig
3.  abstract def wsClient: WSClient
   Attributes
     protected

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
6.  def deleteObject(path: File, owner: String = config.owner)(implicit hc: HeaderCarrier): F[Unit]
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def getObject[CONTENT](path: File, owner: String = config.owner)(implicit cr: ObjectStoreContentRead[F, ResBody, CONTENT], hc: HeaderCarrier): F[Option[Object[CONTENT]]]
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  def listObjects(path: Path.Directory, owner: String = config.owner)(implicit hc: HeaderCarrier): F[ObjectListing]
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  def putObject[CONTENT](path: File, content: CONTENT, retentionPeriod: RetentionPeriod = config.defaultRetentionPeriod, contentType: Option[String] = None, owner: String = config.owner)(implicit w: ObjectStoreContentWrite[F, CONTENT, Request], hc: HeaderCarrier): F[Unit]
19.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped